CVE-2016-2833

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Mozilla Firefox before 47.0 ignores Content Security Policy (CSP) directives for cross-domain Java applets, which makes it easier for remote attackers to conduct cross-site scripting (XSS) attacks via a crafted applet.

References

http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00014.html

http://lists.opensuse.org/opensuse-security-announce/2016-06/msg00016.html

http://www.mozilla.org/security/announce/2016/mfsa2016-60.html

http://www.securitytracker.com/id/1036057

http://www.ubuntu.com/usn/USN-2993-1

https://bugzilla.mozilla.org/show_bug.cgi?id=908933

Details

Source: MITRE

Published: 2016-06-13

Updated: 2018-10-30

Type: CWE-254

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 6.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Impact Score: 2.7

Exploitability Score: 2.8

Severity: MEDIUM

Tenable Plugins

View all (7 total)

IDNameProductFamilySeverity
9383Mozilla Firefox < 47.0 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
high
91589openSUSE Security Update : MozillaFirefox / mozilla-nss (openSUSE-2016-714)NessusSuSE Local Security Checks
high
91586openSUSE Security Update : MozillaFirefox / mozilla-nss (openSUSE-2016-704)NessusSuSE Local Security Checks
high
91557Ubuntu 12.04 LTS / 14.04 LTS / 15.10 / 16.04 LTS : firefox vulnerabilities (USN-2993-1)NessusUbuntu Local Security Checks
high
91547Firefox < 47 Multiple VulnerabilitiesNessusWindows
high
91545Firefox < 47 Multiple Vulnerabilities (Mac OS X)NessusMacOS X Local Security Checks
high
91509FreeBSD : mozilla -- multiple vulnerabilities (8065d37b-8e7c-4707-a608-1b0a2b8509c3)NessusFreeBSD Local Security Checks
high